Package org.bukkit.event.entity

# Class EntityCreatePortalEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityCreatePortalEvent

All Implemented Interfaces:
  `Cancellable`

@Deprecated public class EntityCreatePortalEvent extends EntityEvent implements Cancellable
Deprecated.
Use `PortalCreateEvent`
Thrown when a Living Entity creates a portal in a world.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityCreatePortalEvent(@NotNull LivingEntity what, @NotNull List<BlockState> blocks, @NotNull PortalType type)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getBlocks()`
Deprecated.
Gets a list of all blocks associated with the portal.
`@NotNull LivingEntity`
`getEntity()`
Deprecated.
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.
`@NotNull PortalType`
`getPortalType()`
Deprecated.
Gets the type of portal that is trying to be created.
`boolean`
`isCancelled()`
Deprecated.
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Deprecated.
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityCreatePortalEvent

public EntityCreatePortalEvent(@NotNull @NotNull LivingEntity what, @NotNull @NotNull List<BlockState> blocks, @NotNull @NotNull PortalType type)
Deprecated.

## Method Details

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Deprecated.
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getBlocks

@NotNull public @NotNull List<BlockState> getBlocks()
Deprecated.
Gets a list of all blocks associated with the portal.

Returns:
  List of blocks that will be changed.

### isCancelled

public boolean isCancelled()
Deprecated.
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Deprecated.
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getPortalType

@NotNull public @NotNull PortalType getPortalType()
Deprecated.
Gets the type of portal that is trying to be created.

Returns:
  Type of portal.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.